Inline List

Data Structures | Functions
Inline List
Eina C++Eina C++ » | Data Types » Containers

## Data Structures
struct | efl::eina::_inlist_node< T >
struct | efl::eina::_inlist_iterator< T >
struct | efl::eina::_inlist_access_traits
class | efl::eina::inlist< T, Allocator >
| C++ wrapper for the native Eina inline list. More...
struct | efl::eina::range_inlist< T >
| Range for inline list elements. More...
struct | efl::eina::_inlist_common_base< T, Allocator >
| Common implementations for inline list. More...

## Functions
template<typename T >
_inlist_node< T > * | efl::eina::_get_node (Eina_Inlist *l)
template<typename T >
_inlist_node< T > const * | efl::eina::_get_node (Eina_Inlist const *l)
template<typename T >
Eina_Inlist * | efl::eina::_get_list (_inlist_node< T > *n)
template<typename T >
Eina_Inlist const * | efl::eina::_get_list (_inlist_node< T > const *n)
template<typename T >
bool | efl::eina::operator!= (_inlist_iterator< T > lhs, _inlist_iterator< T > rhs)
| Check if iterators are not pointing to the same node. More...
template<typename T >
bool | efl::eina::operator== (range_inlist< T >const &lhs, range_inlist< T >const &rhs)
| Check the given ranges are equal to each other. More...
template<typename U >
bool | efl::eina::operator!= (range_inlist< U > const &lhs, range_inlist< U >const &rhs)
| Returns the opposite of operator==(range_inlist<T>const& lhs, range_inlist<T>const& rhs).
template<typename T , typename Allocator1 , typename Allocator2 >
bool | efl::eina::operator== (inlist< T, Allocator1 > const &lhs, inlist< T, Allocator2 > const &rhs)
| Check if two inline lists are equal. More...
template<typename T , typename Allocator1 , typename Allocator2 >
bool | efl::eina::operator!= (inlist< T, Allocator1 > const &lhs, inlist< T, Allocator2 > const &rhs)
| Return the opposite of operator==(inlist<T, Allocator1> const& lhs, inlist<T, Allocator2> const& rhs).
template<typename T , typename Allocator >
void | efl::eina::swap (inlist< T, Allocator > &lhs, inlist< T, Allocator > &rhs)
| Swap content between two inline lists. More...

## Detailed Description

## Function Documentation

## ◆ operator!=()

template<typename T >

bool efl::eina::operator!= | ( | _inlist_iterator< T > | lhs,
|  | _inlist_iterator< T > | rhs
| ) |  |

Check if iterators are not pointing to the same node.

Parameters

  lhs | First iterator to be compared.
  rhs | Second iterator to be compared.

Returns
  `true` if iterators are not pointing to the same node, `false` otherwise.

## ◆ operator==() [1/2]

template<typename T >

bool efl::eina::operator== | ( | range_inlist< T >const & | lhs,
|  | range_inlist< T >const & | rhs
| ) |  |

Check the given ranges are equal to each other.

Parameters

  lhs | Range object at the left side of the expression.
  rhs | Range object at the right side of the expression.

Returns
  `true` if the ranges are equal, `false` otherwise.

This operator checks if the given ranges are equal to each other. To be considered equal both ranges need to have the same size, and each element in one range must be equal to the element at the same position in the other.

## ◆ operator==() [2/2]

template<typename T , typename Allocator1 , typename Allocator2 >

bool efl::eina::operator== | ( | inlist< T, Allocator1 > const & | lhs,
|  | inlist< T, Allocator2 > const & | rhs
| ) |  |

Check if two inline lists are equal.

Parameters

  lhs | Inline list at the left side of the expression.
  rhs | Inline list at the right side of the expression.

Returns
  `true` if the lists are equals, `false` otherwise.

This operator checks if the given inline lists are equal. To be considered equal both lists need to have the same number of elements, and each element in one list must be equal to the element at the same position in the other list.

References efl::eina::inlist< T, Allocator >::begin(), efl::eina::inlist< T, Allocator >::end(), and efl::eina::inlist< T, Allocator >::size().

## ◆ swap()

template<typename T , typename Allocator >

void efl::eina::swap | ( | inlist< T, Allocator > & | lhs,
|  | inlist< T, Allocator > & | rhs
| ) |  |

Swap content between two inline lists.

Parameters

  other | Other inline list of the same type.

References efl::eina::inlist< T, Allocator >::swap().

Referenced by efl::eina::inlist< T, Allocator >::swap().